### Method

# GLib Variant get_bytestring

since: 2.26

#### Declaration [src]

    const gchar*
    g_variant_get_bytestring (
      GVariant* value
    )

#### Description [src]

Returns the string value of a `GVariant` instance with an array-of-bytes type. The string has no particular encoding.

If the array does not end with a nul terminator character, the empty string is returned. For this reason, you can always trust that a non-`NULL` nul-terminated string will be returned by this function.

If the array contains a nul terminator character somewhere other than the last byte then the returned string is the string, up to the first such nul character.

`g_variant_get_fixed_array()` should be used instead if the array contains arbitrary data that could not be nul-terminated or could contain nul bytes.

It is an error to call this function with a `value` that is not an array of bytes.

The return value remains valid as long as `value` exists.

Available since: 2.26

#### Return value

Type: An array of `guint8`

         the constant string.

The array is `NULL`-terminated.
The returned data is owned by the instance.